Skip to content
Start here

Get all SSO connectors

client.IAM.SSO.List(ctx, query) (*SinglePage[SSOListResponse], error)
GET/accounts/{account_id}/sso_connectors

Get all SSO connectors

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
SSO Connector Read
ParametersExpand Collapse
query SSOListParams
AccountID param.Field[string]

Account identifier tag.

maxLength32
minLength32
ReturnsExpand Collapse
type SSOListResponse struct{…}
ID stringoptional

SSO Connector identifier tag.

maxLength32
minLength32
CreatedOn Timeoptional

Timestamp for the creation of the SSO connector

formatdate-time
EmailDomain stringoptional
Enabled booloptional
UpdatedOn Timeoptional

Timestamp for the last update of the SSO connector

formatdate-time
UseFedrampLanguage booloptional

Controls the display of FedRAMP language to the user during SSO login

Verification SSOListResponseVerificationoptional
Code stringoptional

DNS verification code. Add this entire string to the DNS TXT record of the email domain to validate ownership.

Status SSOListResponseVerificationStatusoptional

The status of the verification code from the verification process.

One of the following:
const SSOListResponseVerificationStatusAwaiting SSOListResponseVerificationStatus = "awaiting"
const SSOListResponseVerificationStatusPending SSOListResponseVerificationStatus = "pending"
const SSOListResponseVerificationStatusFailed SSOListResponseVerificationStatus = "failed"
const SSOListResponseVerificationStatusVerified SSOListResponseVerificationStatus = "verified"

Get all SSO connectors

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/iam"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.IAM.SSO.List(context.TODO(), iam.SSOListParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "created_on": "2025-01-01T12:21:02.0000Z",
      "email_domain": "example.com",
      "enabled": false,
      "updated_on": "2025-01-01T12:21:02.0000Z",
      "use_fedramp_language": false,
      "verification": {
        "code": "cloudflare_dashboard_sso=023e105f4ecef8ad9ca31a8372d0c353",
        "status": "pending"
      }
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "created_on": "2025-01-01T12:21:02.0000Z",
      "email_domain": "example.com",
      "enabled": false,
      "updated_on": "2025-01-01T12:21:02.0000Z",
      "use_fedramp_language": false,
      "verification": {
        "code": "cloudflare_dashboard_sso=023e105f4ecef8ad9ca31a8372d0c353",
        "status": "pending"
      }
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}